package com.ruoyi.system.model;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author jiuli
 * @Date 2024/1/16
 */
public class CashFlowProjectModel implements Serializable {
    //分录行ID
    private String voucherrecord;
    //现金流量项目ID
    private String cashflowitem;
    //现金流量项目界面展示名称（code + 空格 + name）
    private String cashFlowProjectName;
    //凭证分录和现金流量分析的金额正负是否相反（true-是，false-否）
    private Boolean negative;
    //原币金额
    private BigDecimal amountoriginal;
    //本币金额
    private BigDecimal amountorg;
    //现金流量项目code
    private String code;
    //现金流量项目名称
    private String name;
    //币种ID
    private String currency;
    //内部单位ID
    private String innerorg;
    //币种信息
    private CurrencyMapModel currencyMap;
    //内部单位信息
    private InnerOrgMapModel innerOrgMap;

    public String getVoucherrecord() {
        return voucherrecord;
    }

    public void setVoucherrecord(String voucherrecord) {
        this.voucherrecord = voucherrecord;
    }

    public String getCashflowitem() {
        return cashflowitem;
    }

    public void setCashflowitem(String cashflowitem) {
        this.cashflowitem = cashflowitem;
    }

    public String getCashFlowProjectName() {
        return cashFlowProjectName;
    }

    public void setCashFlowProjectName(String cashFlowProjectName) {
        this.cashFlowProjectName = cashFlowProjectName;
    }

    public Boolean getNegative() {
        return negative;
    }

    public void setNegative(Boolean negative) {
        this.negative = negative;
    }

    public BigDecimal getAmountoriginal() {
        return amountoriginal;
    }

    public void setAmountoriginal(BigDecimal amountoriginal) {
        this.amountoriginal = amountoriginal;
    }

    public BigDecimal getAmountorg() {
        return amountorg;
    }

    public void setAmountorg(BigDecimal amountorg) {
        this.amountorg = amountorg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getInnerorg() {
        return innerorg;
    }

    public void setInnerorg(String innerorg) {
        this.innerorg = innerorg;
    }

    public CurrencyMapModel getCurrencyMap() {
        return currencyMap;
    }

    public void setCurrencyMap(CurrencyMapModel currencyMap) {
        this.currencyMap = currencyMap;
    }

    public InnerOrgMapModel getInnerOrgMap() {
        return innerOrgMap;
    }

    public void setInnerOrgMap(InnerOrgMapModel innerOrgMap) {
        this.innerOrgMap = innerOrgMap;
    }
}
